> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Vm Status

> Get detailed status of a specific VM from VM provisioning service.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/vms/{vm_id}/status
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/vms/{vm_id}/status:
    get:
      tags:
        - VMs
      summary: Get Vm Status
      description: Get detailed status of a specific VM from VM provisioning service.
      operationId: get_vm_status_api_v2_external_vms__vm_id__status_get
      parameters:
        - name: vm_id
          in: path
          required: true
          schema:
            type: string
            title: Vm Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VMStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VMStatusResponse:
      properties:
        vm_id:
          type: string
          title: Vm Id
        status:
          type: string
          title: Status
        ip_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip Address
        uptime_seconds:
          anyOf:
            - type: integer
            - type: 'null'
          title: Uptime Seconds
        billed:
          anyOf:
            - type: number
            - type: 'null'
          title: Billed
        croesus_billed:
          anyOf:
            - type: number
            - type: 'null'
          title: Croesus Billed
        instance_specs:
          additionalProperties: true
          type: object
          title: Instance Specs
        hardware_profile:
          anyOf:
            - type: string
            - type: 'null'
          title: Hardware Profile
        gpu_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Gpu Count
        instance_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance Type
        created_at:
          type: string
          format: date-time
          title: Created At
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
      type: object
      required:
        - vm_id
        - status
        - instance_specs
        - created_at
      title: VMStatusResponse
      description: Response model for VM status.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````